Bulk Validate Tax Numbers

Use this request to validate Tax IDs.

This request validates multiple tax numbers in a single request by submitting a list of tax numbers and their associated country codes in the request body. The response returns a unique request identifier for each validation, which you can use to track and identify the submitted validation requests.

To validate multiple tax numbers, use the following URL and the GET method:

GET https://{service_url}/api/v3/tax_numbers/validate

The {service_url} is the base URL of the service environment.

Specify the tax numbers in the body:

{
  "items": [
    {"input": {"tax_number": "000000000", "country_code": "PL"}},
    {"input": {"tax_number": "111111111", "country_code": "GB"}},
    ...
  ]

Details

EndpointMethod
/bulk/api/v3/tax_numbers/validateGET

Body parameters

FieldDescription
input.tax_numberSpecify the tax number that you want to validate.
input.tax_number.country_codeSpecify the two-letter ISO country code associated with the tax number.

Response parameters

The following parameters are returned in the response:

FieldDescription
items.idReturns the unique request identifier associated with each validation request. This identifier can be used to track and identify the corresponding validation process.

Sample request

{
  "items": [
    {"input": {"tax_number": "000000000", "country_code": "PL"}},
    {"input": {"tax_number": "111111111", "country_code": "GB"}},
    ...

Sample response

{
    "items": [
        {
            "id": "ANKpMhAXMAA="
        },
        {
            "id": "ANKpMhAYMAA="
        },
        ...
    ]